### File

`packages/ecl/components/ecl-app/ecl-app.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit` `OnDestroy`

### Metadata

selector | `ecl-app`
templateUrl | `./ecl-app.component.html`

### Index

###### Properties
eclSiteHeaderLanguage textDirection
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### Outputs
languageDismiss
###### HostBindings
attr.dir

### Constructor

`constructor(eclRtlService: EclRtlService, document: Document)`
Parameters :
Name | Type | Optional
eclRtlService | `EclRtlService` | No
document | `Document` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

languageDismiss
Type : `EventEmitter`

### HostBindings

attr.dir
Type : `string`
Default value : `'ltr'`
Text direction, by default is 'ltr' - left-to-write. Can also be 'rtl' - right-to-left, which will make all components within to lign to the right, and apply some special styling and functionality.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclSiteHeaderLanguage
Type : `EclSiteHeaderLanguageComponent`
Decorators : `@ContentChild(EclSiteHeaderLanguageComponent)`

textDirection
Type : `string`
Default value : `'ltr'`
Decorators : `@HostBinding('attr.dir')`
Text direction, by default is 'ltr' - left-to-write. Can also be 'rtl' - right-to-left, which will make all components within to lign to the right, and apply some special styling and functionality.

# results matching ""

# No results matching ""